.TH AXE 1 "June 1992" "aXe Release 3.0"
.SH NAME 
aXe - an X editor 
.SH SYNOPSIS 
.B axe 
[ -toolkitoption ...] [ -option ... ] [ filename ... ] ['filename ...']
.SH DESCRIPTION 
.I aXe
is a simple to use text editor for X. Like xedit it is built around
the Athena Text Widget, but provides many more facilities.
.PP
By default aXe provides a menu interface to some common Text Widget
operations and most of its extra features. An optional button interface,
in which there is one button present for every static menu entry,
can be selected via the keyword 
.I -buttons,
or by setting the top level resource
.I buttons.
A reduced button interface is configurable.
.PP
Individual file names on the command line will be allocated to separate 
windows. A group of quoted file names will be allocated to separate buffers
of the same window. An initial number of windows to open can be specified on
the command line by using the keyword
.I -windows
or by giving the top level resource
.I windows
a numeric value.
The value of windows is ignored if the files specified on the command line
require more than that number of windows.
.PP
If a top level geometry resource is provided, e.g. by using the toolkit
keyword
.I -geometry,
then the width and height fields will be interpreted to mean the numbers 
of columns and rows respectively that editing widnows are to have.
.PP
aXe also acts as a server of editing windows to cooperating clients. 
Two, coaxe and faxe, are provided as part of the aXe suite. Server mode is
the default, but can be switched off by using the command line keyword 
.I -noserver,
or by setting the top level resource
.I server 
False
.PP 
aXe has comprehensive on-line help, so, to avoid having to keep
the information up to date in two places, it will not be duplicated
here. 
.SH ACKNOWLEDGEMENTS
That aXe makes use of code from Byron Rakitzis' rc command interpreter that
is based on AT&T's Plan 9 shell of the same name is duly acknowledged.
.SH SEE ALSO
xedit(1), Athena Widget (Xaw) documentation 
.SH AUTHOR
Jim Wight (j.k.wight@newcastle.ac.uk)
.br
Department of Computing Science, University of Newcastle, Newcastle upon Tyne, UK, NE1 7RU

 
